<?php

class Cache
{
    public $cache_path = 'cache/data/';
    public $cache_time = 3600;
    public $cache_extension = '.cache';

    public function get_data($label, $call)
	{
		if($data = $this->get_cache($label)){
			return json_decode($data, true);
		} else {
			$data = $call;
			$this->set_cache($label, $data);
			return json_decode($data, true);
		}
    }

    public function set_cache($label, $data)
	{
		file_put_contents($this->cache_path . $this->safe_filename($label) . $this->cache_extension, $data);
    }

    public function get_cache($label)
	{
		if($this->is_cached($label)){
			$filename = $this->cache_path . $this->safe_filename($label) . $this->cache_extension;
			return file_get_contents($filename);
		}
		return false;
    }

    public function is_cached($label)
	{
		$filename = $this->cache_path . $this->safe_filename($label) . $this->cache_extension;
		if(file_exists($filename) && (filemtime($filename) + $this->cache_time >= time())) return true;
		return false;
    }

    private function safe_filename($filename)
	{
		return preg_replace('/[^0-9a-z\.\_\-]/i','', strtolower($filename));
    }
}

