<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="theme-color" content="#111111">
    <link rel="stylesheet" href="{{ asset( 'styles.css' ) }}">
    <link rel="stylesheet" href="//use.fontawesome.com/releases/v5.6.3/css/all.css">

    <link rel="apple-touch-icon" sizes="180x180" href="{{ home_url() }}favicon/apple-touch-icon.png">
    <link rel="icon" type="image/png" sizes="32x32" href="{{ home_url() }}favicon/favicon-32x32.png">
    <link rel="icon" type="image/png" sizes="16x16" href="{{ home_url() }}favicon/favicon-16x16.png">
    <link rel="manifest" href="{{ home_url() }}favicon/site.webmanifest">
    <link rel="mask-icon" href="{{ home_url() }}favicon/safari-pinned-tab.svg" color="#5bbad5">

    <meta name="msapplication-TileColor" content="#da532c">
    <meta name="theme-color" content="#000000">
    @yield('head')
    @include('head')
</head>
<body>
    <div style="height:54px;"></div>
    <nav class="navbar navbar-expand-lg navbar-dark bg-dark fixed-top py-2 py-md-3">
        <div class="container">
            <a class="navbar-brand" href="{{ build_permalink() }}">{{ config('site_name') }}</a>
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarColor02" aria-controls="navbarColor02" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
            </button>

            <div class="collapse navbar-collapse" id="navbarColor02">
                <ul class="navbar-nav ml-auto mr-md-3">
                    <li class="nav-item dropdown">
                        <a class="nav-link dropdown-toggle" href="#" data-toggle="dropdown"><i class="fas fa-film mr-1 text-theme mr-1"></i>Movie</a>
                        <div class="dropdown-menu dropdown-menu-right">
                            <a class="dropdown-item" href="{{ build_permalink('movie-now-playing') }}">Now Playing</a>
                            <a class="dropdown-item" href="{{ build_permalink('movie-popular') }}">Popular</a>
                            <a class="dropdown-item" href="{{ build_permalink('movie-top-rated') }}">Top Rated</a>
                            <a class="dropdown-item" href="{{ build_permalink('movie-upcoming') }}">Upcoming</a>
                        </div>
                    </li>
                    <li class="nav-item dropdown">
                        <a class="nav-link dropdown-toggle" href="#" data-toggle="dropdown"><i class="fas fa-tv mr-1 text-theme mr-1"></i>TV Show</a>
                        <div class="dropdown-menu dropdown-menu-right">
                            <a class="dropdown-item" href="{{ build_permalink('tv-airing-to-day') }}">Airing to Day</a>
                            <a class="dropdown-item" href="{{ build_permalink('tv-popular') }}">Popular</a>
                            <a class="dropdown-item" href="{{ build_permalink('tv-on-the-air') }}">On The Air</a>
                            <a class="dropdown-item" href="{{ build_permalink('tv-top-rated') }}">Top Rated</a>
                        </div>
                    </li>
                    <li class="nav-item dropdown">
                        <a href="#" class="nav-link dropdown-toggle" data-toggle="dropdown"><i class="fa fa-folder-open text-theme mr-1"></i>Genres Movies<span class="caret"></span></a>
                        <div class="dropdown-menu dropdown-menu-right">
                            <a class="dropdown-item" href="{{ build_permalink('genre/action/28') }}">Action</a>
                            <a class="dropdown-item" href="{{ build_permalink('genre/adventure/12') }}">Adventure</a>
                            <a class="dropdown-item" href="{{ build_permalink('genre/animation/16') }}">Animation</a>
                            <a class="dropdown-item" href="{{ build_permalink('genre/comedy/35') }}">Comedy</a>
                            <a class="dropdown-item" href="{{ build_permalink('genre/crime/80') }}">Crime</a>
                            <a class="dropdown-item" href="{{ build_permalink('genre/documentary/99') }}">Documentary</a>
                            <a class="dropdown-item" href="{{ build_permalink('genre/drama/18') }}">Drama</a>
                            <a class="dropdown-item" href="{{ build_permalink('genre/family/10751') }}">Family</a>
                            <a class="dropdown-item" href="{{ build_permalink('genre/fantasy/14') }}">Fantasy</a>
                            <a class="dropdown-item" href="{{ build_permalink('genre/foreign/10769') }}">Foreign</a>
                            <a class="dropdown-item" href="{{ build_permalink('genre/history/36') }}">History</a>
                            <a class="dropdown-item" href="{{ build_permalink('genre/horror/27') }}">Horror</a>
                            <a class="dropdown-item" href="{{ build_permalink('genre/music/10402') }}">Music</a>
                            <a class="dropdown-item" href="{{ build_permalink('genre/mystery/9648') }}">Mystery</a>
                            <a class="dropdown-item" href="{{ build_permalink('genre/romance/10749') }}">Romance</a>
                            <a class="dropdown-item" href="{{ build_permalink('genre/science-fiction/878') }}">Science Fiction</a>
                            <a class="dropdown-item" href="{{ build_permalink('genre/tv-movie/10770') }}">TV Movie</a>
                            <a class="dropdown-item" href="{{ build_permalink('genre/thriller/53') }}">Thriller</a>
                            <a class="dropdown-item" href="{{ build_permalink('genre/war/10752') }}">War</a>
                            <a class="dropdown-item" href="{{ build_permalink('genre/western/37') }}">Western</a>
                        </div>
                    </li>
                    <li class="nav-item">
                        <a href="{{ build_permalink('people') }}" class="nav-link"><i class="fa fa-user text-theme mr-1"></i>People</a>
                    </li>
                </ul>
                <form method="GET" action="/" class="navbar-form navbar-left">
                    <div class="input-group">
                        <input type="text" name="s" class="form-control" placeholder="Search" aria-label="Search">
                        <div class="input-group-append">
                            <button class="btn btn-primary" type="submit">
                                <span class="fas fa-search"></span>
                            </button>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </nav>

    <main class="container py-5 border-left border-right">
        @yield('content')
    </main>

    <footer class="footer bg-black-50 py-4">
        <div class="container">
            <div class="row">
                <div class="col-12 mb-3">
                    <div class="list-inline text-center">
                        <a class="list-inline-item" href="{{ build_permalink('pages/privacy-policy') }}">Privacy Policy</a>
                        <a class="list-inline-item" href="{{ build_permalink('pages/dmca') }}">DMCA</a>
                        <a class="list-inline-item" href="{{ build_permalink('pages/contact') }}">Contact</a>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-12 mb-3 text-center small">
                    <span>{{ '©'.date('Y') }} {{ config('site_name') }} - All rights reserved.</span>
                </div>
                <div class="col-12 text-center text-secondary small">
                    <span>Disclaimer: All of the free movies found on this website are hosted on third-party servers that are freely available to watch online on {{ config('site_name') }} for all internet users. Any legal issues regarding the free online movies on this website should be taken up with the actual file hosts themselves. {{ config('site_name') }} is not responsible for the accuracy, compliance, copyright, legality, decency, or any other aspect of the content of other linked sites. In case of any copyright claims, Please contact the source websites directly file owners or host sites. By accessing this site you agree to be bound by our Privacy Policy.</span>
                </div>
            </div>
        </div>
    </footer>

    <div id="counter" data-min="15540" data-max="15214">
        <div class="lds-ripple"><div></div><div></div></div>
        <span class="counter-value">12,633</span> Users Online
    </div>

    <script src="//code.jquery.com/jquery-2.2.0.min.js"></script>
    <script src="//cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"></script>
    <script src="//maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"></script>
    <script src="{{ asset( 'scripts.js' ) }}"></script>
    @include('footer')
</body>
</html>