@extends(config('theme'). '.layouts');

@section('head')
    <title>Search Results for {{ $name }} Full Movie And TV Show - {{ config('site_name') }}</title>
@endsection

@section('content')
    <div class="container">
        <div class="row">
            <div class="col-12 mb-4">
                <h1 class="h4">Search Results for {{$name}}</h1>
            </div>
            <ul class="nav nav-tabs w-100" id="myTab" role="tablist">
                <li class="nav-item">
                    <a class="nav-link active" id="movie-tab" data-toggle="tab" href="#movie" role="tab" aria-controls="movie" aria-selected="true">Movie</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" id="tv-series-tab" data-toggle="tab" href="#tv-series" role="tab" aria-controls="tv-series" aria-selected="false">TV Series</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" id="person-tab" data-toggle="tab" href="#person" role="tab" aria-controls="person" aria-selected="false">Person</a>
                </li>
            </ul>
            <div class="tab-content w-100" id="myTabContent">
                <div class="tab-pane py-3 fade show active" id="movie" role="tabpanel" aria-labelledby="movie-tab">
                    <div class="row mx-0">
                        @foreach (collect($movie['results']) as $item)
                            @include(config('theme').'._movie_loop')
                        @endforeach
                    </div>
                </div>
                <div class="tab-pane py-3 fade" id="tv-series" role="tabpanel" aria-labelledby="tv-series-tab">
                    <div class="row mx-0">
                        @foreach (collect($tv['results']) as $item)
                            @include(config('theme').'._tv_loop')
                        @endforeach
                    </div>
                </div>
                <div class="tab-pane py-3 fade" id="person" role="tabpanel" aria-labelledby="person-tab">
                    <div class="row mx-0">
                        @foreach (collect($person['results']) as $item)
                            @include(config('theme').'._person_loop')
                        @endforeach
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection