@extends(config('theme') . '.layouts')

@php
    $backdrop = isset($episode) ? [['file_path' => $episode['still_path']]] : $tv['images']['backdrops'];
    shuffle($backdrop);
    $backdrop = (!empty($backdrop)) ? $backdrop[0]['file_path'] : '';
    if (isset($episode)) {
        $url_redirect_loading = build_permalink('loading', [
            'id'=>$tv['id'],
            'title'=>$tv['name'],
            'season'=>$season['season_number'],
            'episode'=>$episode['episode_number']
            ]);
    }elseif(isset($season)){
        $url_redirect_loading = build_permalink('loading', [
            'id'=>$tv['id'],
            'title'=>$tv['name'],
            'season'=>$season['season_number']
            ]);
    }else{
        $url_redirect_loading = build_permalink('loading', ['id'=>$tv['id'], 'title'=>$tv['name']]);
    }
@endphp

@section('head')
    @if(isset($episode))
        <title>Watch {{ $tv['name'] }} - {{ $season['name'] }} Episode {{ $episode['episode_number'] }} : {{ $episode['name'] }} HD Free TV Show - {{ config('site_name') }}</title>
    @elseif(isset($season))
        <title>Watch {{ $tv['name'] }} - {{ $season['name'] }} HD Free TV Show - {{ config('site_name') }}</title>
    @else
        <title>Watch {{ $tv['name'] }} HD Free TV Show - {{ config('site_name') }}</title>
    @endif
@endsection

@section('content')
    <div class="row">
        <div class="col-12 p-0 p-md-3">
            <div id="player"> {{-- Player --}}
                <div id="video-player" class="embed-responsive embed-responsive-16by9 video pointer nocontext">
                    <video id="videoPlayer" class="embed-responsive-item nocontext" preload="none" poster="{{ img_url('original', $backdrop ) }}">
                        <p>Your browser doesn't support HTML5 video</p>
                    </video>
                    <div class="loading-wrap">
                        <div class="virtual-middle">
                            <div class="loading"></div>
                        </div>
                    </div>
                    <div class="control-wrap ease">
                        <div class="virtual-middle">
                            <span id="play" class="play-btn-border ease">
                                <i class="fas fa-play headline-round ease" aria-hidden="true"></i>
                            </span>
                        </div>
                        <div class="media-controls ease">
                            <div class="float-left">
                                <button type="button" name="Play" class="btn icon-control-play" id="play_btn">
                                    <i class="fas fa-play"></i>
                                </button>
                                <button id="volumeInc_btn" name="Volume" class="btn icon-volume-2">
                                    <i class="fas fa-volume-up"></i>
                                </button>
                                <button id="timeContainer" class="btn">0:00:
                                    <span class="dmax">02:23:25</span>
                                </button>
                            </div>
                            <div class="float-right">
                                <div id="setting_btn" class="btn-group dropup">
                                    <button name="Setting" class="btn icon-settings" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                        <i class="fas fa-cog"><span>HD</span></i>
                                    </button>
                                    <ul class="dropdown-menu dropdown-menu-right">
                                        <li class="dropdown-item hq active">HD 1080p</li>
                                        <li class="dropdown-item hq">HD 720p</li>
                                    </ul>
                                </div>
                                <button id="fullscreen_btn" name="Fullscreen" class="btn icon-size-fullscreen">
                                    <i class="fas fa-expand-arrows-alt"></i>
                                </button>
                            </div>
                        </div>
                    </div>
                </div>
            </div> {{-- Player End --}}
        </div>
        <div class="col-12">
            <h1 class="text-center media-heading h4 my-3">{{ config('title_tv_before') }} {{ $tv['name'] }} {{ config('title_tv_after') }}</h1>
            <div class="d-flex flex-wrap justify-content-center border py-3 mb-3">
                <a href="{{ $url_redirect_loading.'&off=watch' }}">
                    <img src="{{ home_url().'themes/'.config('theme').'/watch.png' }}">
                </a>
                <a href="{{ $url_redirect_loading }}">
                    <img src="{{ home_url().'themes/'.config('theme').'/download.png' }}">
                </a>
            </div>
            <table class="table mb-3">
                <tbody>
                    <tr>
                        <td class="border-top-0">
                            <i class="fab fa-youtube"></i>&nbsp; <a class="text-theme" data-toggle="modal" data-target="#player-modal" href="#" title="{{ $tv['name'] }}" rel="nofollow">Free Download {{ $tv['name'] }}</a>
                        </td>
                        <td class="border-top-0">720p</td>
                        <td class="border-top-0">6,6 Mb/s</td>
                    </tr>
                    <tr>
                        <td>
                            <i class="fab fa-youtube"></i>&nbsp; <a class="text-theme" data-toggle="modal" data-target="#player-modal" href="#" title="Watch {{ $tv['name'] }}" rel="nofollow">HD - {{ $tv['name'] }}</a>
                        </td>
                        <td>HD</td>
                        <td>4,1 Mb/s</td>
                    </tr>
                    <tr>
                        <td>
                            <i class="fab fa-youtube"></i>&nbsp; <a class="text-theme" data-toggle="modal" data-target="#player-modal" href="#" title="Watch {{ $tv['name'] }}" rel="nofollow">{{ $tv['name'] }} Full</a>
                        </td>
                        <td>Full HD</td>
                        <td>7,9 Mb/s</td>
                    </tr>
                </tbody>
            </table>

            @isset($season)
                @component(config('theme').'._seasons', ['season' => $season, 'tv' => $tv])
                @endcomponent
            @endisset

            <h3 class="widget-title">
                <span>Seasons</span>
            </h3>

            {{-- season list --}}
            <div class="row my-3">
                @foreach ($tv['seasons'] as $season_item)
                <div class="col-md-4">
                    <div class="media poster mb-3">
                        <a href="{{ build_permalink('tv/' . $tv['id'] .'-'.$season_item['season_number']. '/' . str_slug($tv['name'])) }}" class="text-white" title="{{ $tv['name'].' '.$season_item['name'] }}">
                            <img src="{{ img_url('w92', $season_item['poster_path'], true ) }}" class="mr-3" alt="{{ $season_item['name'] }}" width="92">
                        </a>
                        <div class="media-body">
                            <h4 class="mt-0 mb-1 h6">
                                <a href="{{ build_permalink('tv/' . $season_item['id'] .'-'.$season_item['season_number']. '/' . str_slug($tv['name'])) }}" class="text-white" title="{{ $tv['name'].' '.$season_item['name'] }}">{{ $tv['name'].' '.$season_item['name'] }}</a>
                            </h4>
                            <div class="badge badge-theme">{{ $season_item['air_date'] }}</div>
                        </div>
                    </div>
                </div>
                @endforeach
            </div>
            {{-- end season list --}}
            <div class="row">
                <div class="col-md-8 mb-3">
                    <div class="row">
                        <div class="col-sm-4 d-none d-md-block">
                            <img src="{{ img_url('w300', $tv['poster_path'], true ) }}" alt="{{ $tv['name'] }}" class="img-fluid thumbnail w-100" style="margin:0 auto;">
                        </div>
                        <div class="col-sm-8">
                            <div class="media mb-3">
                                <div class="h5 m-0 py-2 px-3 bg-danger rounded mr-3">{{ $tv['vote_average'] }}</div>
                                <div class="media-body">
                                    <div class="mt-0">{{ $tv['vote_count'] }} users</div>
                                    <div class="rating">
                                        {{ rating($tv['vote_average']) }}
                                    </div>
                                </div>
                            </div>
                            <p>{{ $tv['overview'] }}</p>
                            <table class="table table-striped">
                                <tbody>
                                    <tr><th width="110">Title</th><td>:</td><td>{{ $tv['name'] }}</td></tr>
                                    <tr><th>First Air Date</th><td>:</td><td>{{ release_date($tv['first_air_date']) }}</td></tr>
                                    <tr><th>Last Air Date</th><td>:</td><td>{{ release_date($tv['last_air_date']) }}</td></tr>
                                    <tr><th>Runtime</th><td>:</td><td>{{ minToHour(collect($tv['episode_run_time'])->sum()) }}</td></tr>
                                    <tr><th>Seasons</th><td>:</td><td>{{ $tv['number_of_seasons'] }}</td></tr>
                                    <tr><th>Episodes</th><td>:</td><td>{{ $tv['number_of_episodes'] }}</td></tr>
                                    <tr><th>Genre</th><td>:</td><td>{{ collect($tv['genres'])->implode('name', ', ') }}</td></tr>
                                    <tr><th>Networks</th><td>:</td><td>{{ collect($tv['networks'])->implode('name', ', ') }}</td></tr>
                                    <tr><th>Stars</th><td>:</td><td>{{ collect($tv['credits']['cast'])->take(10)->implode('name', ', ') }}</td></tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
                <div class="col-md-4 mb-3">
                    <h3 class="widget-title">
                        <span>Video Trailer</span>
                    </h3>
                    @foreach (collect($tv['videos']['results']) as $trailer)
                        @if ($trailer['site'] == 'YouTube')
                            <div class="embed-responsive embed-responsive-16by9 mb-3">
                                <iframe class="embed-responsive-item" src="https://www.youtube.com/embed/{{$trailer['key']}}"></iframe>
                            </div>
                        @endif
                    @endforeach
                </div>
            </div>
        </div>
        <div class="col-12">
            <h3 class="widget-title">
                <span>May You Also Like</span>
            </h3>
            <div class="row mx-0">
                @foreach ( filter_bad_simrec($tv['recommendations']['results'], config('bad_tv') ) as $item)
                    @include(config('theme').'._tv_loop')
                @endforeach
            </div>
        </div>

        @include(config('theme').'._modal', ['backdrop' => $backdrop, 'url_redirect_loading' => $url_redirect_loading])
    </div>
@endsection