@extends(config('theme') . '.layouts')

@section('head')
    <title>{{ config('site_name') }}</title>
@endsection

@section('content')
    <div class="main-content">
        <div class="movies-list-wrap mlw-topview mt20">
            <div class="ml-title">
                <span class="pull-left">Movies <i class="fa fa-chevron-right ml10"></i></span>
                <ul role="tablist" class="nav nav-tabs">
                    <li class="active"><a href="#">Now Playing</a></li>
                    <li><a href="{{ build_permalink('movie-top-rated') }}">Top Rated</a></li>
                    <li><a href="{{ build_permalink('movie-popular') }}">Popular</a></li>
                    <li><a href="{{ build_permalink('movie-upcoming') }}">Upcoming</a></li>
                </ul>
                <div class="clearfix"></div>
            </div>
            <div class="movies-list movies-list-full">
                @foreach (collect($movie['results'])->take(16) as $item)
                    @include(config('theme').'._movie_loop')
                @endforeach
            </div>
        </div>

        <div class="movies-list-wrap mlw-topview mt20">
            <div class="ml-title">
                <span class="pull-left">TV Series <i class="fa fa-chevron-right ml10"></i></span>
                <ul role="tablist" class="nav nav-tabs">
                    <li class="active"><a href="#">Airing Today</a></li>
                    <li><a href="{{ build_permalink('tv-top-rated') }}">Top Rated</a></li>
                    <li><a href="{{ build_permalink('tv-popular') }}">Popular</a></li>
                    <li><a href="{{ build_permalink('tv-on-the-air') }}">On TV</a></li>
                </ul>
                <div class="clearfix"></div>
            </div>
            <div class="movies-list movies-list-full">
                @foreach (collect($tv['results'])->take(16) as $item)
                    @include(config('theme').'._tv_loop')
                @endforeach
            </div>
        </div>

    </div>
@endsection