<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <link rel="stylesheet" href="{{ asset('css/bootstrap.min.css') }}">
    <link rel="stylesheet" href="{{ asset('css/main.css') }}">

    <link rel="apple-touch-icon" sizes="180x180" href="{{ home_url() }}favicon/apple-touch-icon.png">
    <link rel="icon" type="image/png" sizes="32x32" href="{{ home_url() }}favicon/favicon-32x32.png">
    <link rel="icon" type="image/png" sizes="16x16" href="{{ home_url() }}favicon/favicon-16x16.png">
    <link rel="manifest" href="{{ home_url() }}favicon/site.webmanifest">
    <link rel="mask-icon" href="{{ home_url() }}favicon/safari-pinned-tab.svg" color="#5bbad5">

    <meta name="msapplication-TileColor" content="#da532c">
    <meta name="theme-color" content="#000000">
    @yield('head')
</head>
<body>
    <header>
        <div class="container">
            <div class="header-logo">
                <h1>
                    <a title="Gomovies" href="{{ build_permalink() }}" id="logo"></a>
                </h1>
            </div>
            <div class="mobile-menu"><i class="fa fa-reorder"></i></div>
            <div class="mobile-search"><i class="fa fa-search"></i></div>
            <div id="menu">
                <ul class="top-menu">
                    <li>
                        <a href="{{ build_permalink() }}" title="Home">HOME</a>
                    </li>
                    <li>
                        <a href="#" title="Genre">GENRE</a>
                        <div class="sub-container" style="display: none;">
                            <ul class="sub-menu">
                                <li><a href="{{ build_permalink('genre/action/28') }}">Action</a></li>
                                <li><a href="{{ build_permalink('genre/adventure/12') }}">Adventure</a></li>
                                <li><a href="{{ build_permalink('genre/animation/16') }}">Animation</a></li>
                                <li><a href="{{ build_permalink('genre/comedy/35') }}">Comedy</a></li>
                                <li><a href="{{ build_permalink('genre/crime/80') }}">Crime</a></li>
                                <li><a href="{{ build_permalink('genre/documentary/99') }}">Documentary</a></li>
                                <li><a href="{{ build_permalink('genre/drama/18') }}">Drama</a></li>
                                <li><a href="{{ build_permalink('genre/family/10751') }}">Family</a></li>
                                <li><a href="{{ build_permalink('genre/fantasy/14') }}">Fantasy</a></li>
                                <li><a href="{{ build_permalink('genre/foreign/10769') }}">Foreign</a></li>
                                <li><a href="{{ build_permalink('genre/history/36') }}">History</a></li>
                                <li><a href="{{ build_permalink('genre/horror/27') }}">Horror</a></li>
                                <li><a href="{{ build_permalink('genre/music/10402') }}">Music</a></li>
                                <li><a href="{{ build_permalink('genre/mystery/9648') }}">Mystery</a></li>
                                <li><a href="{{ build_permalink('genre/romance/10749') }}">Romance</a></li>
                                <li><a href="{{ build_permalink('genre/science-fiction/878') }}">Science Fiction</a></li>
                                <li><a href="{{ build_permalink('genre/tv-movie/10770') }}">TV Movie</a></li>
                                <li><a href="{{ build_permalink('genre/thriller/53') }}">Thriller</a></li>
                                <li><a href="{{ build_permalink('genre/war/10752') }}">War</a></li>
                                <li><a href="{{ build_permalink('genre/western/37') }}">Western</a></li>
                            </ul>
                            <div class="clearfix"></div>
                        </div>
                    </li>
                    <li>
                        <a href="#" title="Movies">MOVIES</a>
                        <div class="sub-container" style="display: none;">
                            <ul class="sub-menu">
                                <li><a href="{{ build_permalink('movie-now-playing') }}" title="Now Playing">Now Playing</a></li>
                                <li><a href="{{ build_permalink('movie-popular') }}" title="Popular">Popular</a></li>
                                <li><a href="{{ build_permalink('movie-top-rated') }}" title="Top Rated">Top Rated</a></li>
                                <li><a href="{{ build_permalink('movie-upcoming') }}" title="Upcoming">Upcoming</a></li>
                            </ul>
                            <div class="clearfix"></div>
                        </div>
                    </li>
                    <li>
                        <a href="#" title="TV-Series">TV - SERIES</a>
                        <div class="sub-container" style="display: none;">
                            <ul class="sub-menu">
                                <li><a href="{{ build_permalink('tv-airing-to-day') }}" title="Airing Today">Airing Today</a></li>
                                <li><a href="{{ build_permalink('tv-popular') }}" title="Popular">Popular</a></li>
                                <li><a href="{{ build_permalink('tv-top-rated') }}" title="Top Rated">Top Rated</a></li>
                                <li><a href="{{ build_permalink('tv-on-the-air') }}" title="On The Air">On The Air</a></li>
                            </ul>
                            <div class="clearfix"></div>
                        </div>
                    </li>
                    <li>
                        <a href="{{ build_permalink('people') }}" title="PEOPLE">PEOPLE</a>
                    </li>
                </ul>
                <div class="clearfix"></div>
            </div>

            <div id="top-user">
                <div class="top-user-content guest">
                    <a href="#" class="btn btn-successful btn-login" title="SignUp" id="signUp" data-toggle="modal" data-target="#player-modal">SignUp</a>
                </div>
            </div>
            <div id="search">
                <form method="GET" action="/">
                    <div class="search-content">
                        <input autocomplete="off" name="s" type="text" class="form-control search-input" placeholder="Searching...">
                        <div class="search-submit" type="submit"><i class="fa fa-search"></i></div>
                    </div>
                </form>
            </div>
            <div class="clearfix"></div>
        </div>
    </header>

    <div id="main" class="page-detail" style="padding-top: 70px;">
        <div class="container">
            @yield('content')
        </div>
    </div>

    <footer>
        <div id="footer">
            <div class="container">
                <div class="row">
                    <div class="col-lg-8 footer-one">
                        <div class="footer-link">
                            <h3 class="footer-link-head">Movies</h3>
                            <p><a title="Action" href="{{ build_permalink('genre/action/28') }}">Action</a></p>
                            <p><a title="History" href="{{ build_permalink('genre/history/36') }}">History</a></p>
                            <p><a title="Thriller" href="{{ build_permalink('genre/thriller/53') }}">Thriller</a></p>
                            <p><a title="Sci-Fi" href="{{ build_permalink('genre/science-fiction/878') }}">Sci-Fi</a></p>
                        </div>
                        <div class="footer-link">
                            <h3 class="footer-link-head"></h3>
                            <p><a href="{{ build_permalink('genre/adventure/12') }}" title="Adventure">Adventure</a></p>
                            <p><a href="{{ build_permalink('genre/mystery/9648') }}" title="Mystery">Mystery</a></p>
                            <p><a href="{{ build_permalink('genre/drama/18') }}" title="Drama">Drama</a></p>
                            <p><a href="{{ build_permalink('genre/comedy/35') }}" title="Comedy">Comedy</a></p>
                            <p><a href="{{ build_permalink('genre/fantasy/14') }}" title="Fantasy">Fantasy</a></p>
                        </div>
                        <div class="footer-link">
                            <h3 class="footer-link-head">Pages</h3>
                            <p><a href="{{ build_permalink('pages/privacy-policy') }}">Privacy Policy</a></p>
                            <p><a href="{{ build_permalink('pages/dmca') }}">DMCA</a></p>
                            <p><a href="{{ build_permalink('pages/contact') }}">Contact</a></p>
                        </div>
                        <div class="clearfix"></div>
                    </div>
                    <div class="col-lg-4 footer-copyright">
                        <p><a href="{{ build_permalink() }}" class="mv-ft-logo"></a></p>
                        <p>Copyright {{ '© '. date('Y') }} {{ config('site_name') }} All Rights Reserved</p>
                        <p style="font-size: 11px; line-height: 14px; color: rgba(255,255,255,0.4)">Disclaimer: All of the free movies found on this website are hosted on third-party servers that are freely available to watch online on {{ config('site_name') }} for all internet users. Any legal issues regarding the free online movies on this website should be taken up with the actual file hosts themselves. {{ config('site_name') }} is not responsible for the accuracy, compliance, copyright, legality, decency, or any other aspect of the content of other linked sites. In case of any copyright claims, Please contact the source websites directly file owners or host sites. By accessing this site you agree to be bound by our Privacy Policy.
                        </p>
                    </div>
                    <div class="clearfix"></div>
                </div>
                <div class="footer-tags">
                </div>
            </div>
        </div>
    </footer>

    <script src="{{ asset('js/jquery-1.9.1.min.js') }}"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
    <script src="{{ asset('js/scripts.js') }}"></script>
    @include('footer')
</body>
</html>