@extends(config('theme') . '.layouts')

@section('head')
    <title>Search Results for {{ $name }} Full Movie And TV Show - {{ config('site_name') }}</title>
@endsection

@section('content')
    <div class="main-content">
        <div class="movies-list-wrap mlw-topview mt20">
            <div class="ml-title">
                <span class="pull-left">{{ $name }}</span>
                <ul role="tablist" class="nav nav-tabs">
                    <li class="active">
                        <a data-toggle="tab" role="tab" href="#movies" aria-expanded="true">Movies</a>
                    </li>
                    <li class="">
                        <a data-toggle="tab" role="tab" href="#tv-series" aria-expanded="false">TV Series</a>
                    </li>
                    <li class="">
                        <a data-toggle="tab" role="tab" href="#person" aria-expanded="false">Person</a>
                    </li>
                </ul>
                <div class="clearfix"></div>
            </div>
            <div class="tab-content">
                <div id="movies" class="movies-list movies-list-full tab-pane fade active in">
                    @foreach (collect($movie['results']) as $item)
                        @include(config('theme').'._movie_loop')
                    @endforeach
                </div>
                <div id="tv-series" class="movies-list movies-list-full tab-pane in fade">
                    @foreach (collect($tv['results']) as $item)
                        @include(config('theme').'._tv_loop')
                    @endforeach
                </div>
                <div id="person" class="movies-list movies-list-full tab-pane in fade">
                    @foreach (collect($person['results']) as $item)
                        @include(config('theme').'._person_loop')
                    @endforeach
                </div>
            </div>
        </div>

        <div class="row">
            <div class="col-12">
                @isset($rows['total_results'])
                    {{ pagination($rows['total_results'], $slug, $page) }}
                @endisset
            </div>
        </div>

    </div>
@endsection