@extends(config('theme') . '.layouts')

@php
    $backdrop = $images['backdrops'];
    shuffle($backdrop);
    $backdrop = (!empty($backdrop)) ? $backdrop[0]['file_path'] : '';
    $url_redirect_loading = build_permalink( 'loading', ['id' => $id, 'title' => str_slug($title)] );
@endphp

@section('head')
    <title>Watch {{ $title }} ({{ explode('-', $release_date)[0] }}) Full Movie Online Free - {{ config('site_name') }}</title>
@endsection

@section('content')
    <div class="pad"></div>
    <div class="main-content main-detail">
        <div class="main-content main-category">
            <div style="text-align: center; margin-bottom: 10px;">
            </div>

            <div id="mv-info">
                <div id="player-on" class="thumb pointer oncontext mvi-cover">
                    <div class="btn-play"></div>
                    <div class="loading-on"></div>
                    <img src="{{ img_url('original', $backdrop ) }}" alt="{{$title}} ({{ explode('-', $release_date)[0] }})" class="img-responsive">
                </div>
                <div class="mvi-content">
                    <div class="mvic-btn">
                        <div class="mv-rating">
                            <h3>Trailer Movies</h3>
                            @foreach (collect($videos['results']) as $key => $trailer)
                                @if ($trailer['site'] == 'YouTube')
                                    @if ($key < 1)
                                        <div class="embed-responsive embed-responsive-16by9" style="margin-bottom:14px">
                                            <iframe class="embed-responsive-item" src="https://www.youtube.com/embed/{{$trailer['key']}}"></iframe>
                                        </div>
                                    @endif
                                @endif
                            @endforeach

                            <div class="clearfix"></div>
                        </div>
                        <div class="clearfix"></div>
                    </div>
                    <div class="thumb mvic-thumb" style="background-image: url({{ img_url('w300', $poster_path ) }});"></div>
                    <div class="mvic-desc">
                        <h3>{{$title}} ({{ explode('-', $release_date)[0] }})</h3>
                        <div class="desc">
                            <p>{{ $overview }}</p>
                        </div>
                        <div class="mvic-info">
                            <div class="mvici-left">
                                <p><strong>Release:</strong> {{ release_date($release_date) }}</p>
                                <p><strong>Duration:</strong> {{ minToHour($runtime) }}</p>
                                <p><strong>Quality:</strong> <span class="quality">HD</span></p>
                                <p><strong>Genres: </strong> {!! genres($genres) !!}</p>
                            </div>
                            <div class="mvici-right">
                                <p><strong>Actors: </strong> {!! starts(collect($credits['cast'])->take(10)) !!}</p>
                                <p><strong>Country: </strong> {{ collect($production_countries)->implode('name', ', ') }}</p>
                            </div>
                            <div class="clearfix"></div>
                        </div>
                        <div class="clearfix"></div>
                    </div>
                    <div class="clearfix"></div>
                </div>
            </div>

            <div id="mv-keywords">
                <strong class="mr10">Keywords:</strong>
                @foreach ($keywords['keywords'] as $kw)
                    <a target="_blank" href="{{ build_permalink('keyword/' . $kw['id'] . '/' . str_slug($kw['name'])) }}" title="{{ $kw['name'] }}">
                        <h5>{{ $kw['name'] }}</h5>
                    </a>
                @endforeach
            </div>

        </div>

        <div class="movies-list-wrap mlw-related">
            <div class="ml-title ml-title-page">
                <span>You May Also Like</span>
            </div>
            <div class="movies-list movies-list-full">
                @foreach ( filter_bad_simrec($recommendations['results'], config('bad_movie') ) as $item )
                    @include(config('theme').'._movie_loop')
                @endforeach
            </div>
        </div>

        @include(config('theme').'._modal', ['backdrop' => $backdrop, 'url_redirect_loading' => $url_redirect_loading])
    </div>
@endsection