@extends(config('theme') . '.layouts')

@section('head')
    <title>Watch Best {{ $name }} Full Movie And TV Show - {{ config('site_name') }}</title>
@endsection

@section('content')
    <div class="module">
        <header class="d-flex flex-wrap justify-content-between align-items-center mb-3">
            <h2 class="w-title h5 m-0">{{ $name }}</h2>
        </header>
        <div class="row items">
            @if ($type == 'people')
                @foreach (collect($rows['cast'])->sortByDesc('release_date')->where('release_date','<=', date('Y')) as $item)
                    @include(config('theme').'._movie_loop')
                @endforeach
            @elseif ($type == 'person')
                @foreach ($rows['results'] as $item)
                    @include(config('theme').'._person_loop')
                @endforeach
            @else
                @foreach ($rows['results'] as $item)
                    @if ($type == 'tv')
                        @include(config('theme').'._tv_loop')
                    @else
                        @include(config('theme').'._movie_loop')
                    @endif
                @endforeach
            @endif
        </div>
        <div class="row">
            <div class="col-12">
                @isset($rows['total_results'])
                    {{ pagination($rows['total_results'], $slug, $page) }}
                @endisset
            </div>
        </div>
    </div>
@endsection