<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <link rel="stylesheet" href="{{ asset('css/bootstrap.min.css') }}">
    <link rel="stylesheet" href="//use.fontawesome.com/releases/v5.6.3/css/all.css">
    <link rel="stylesheet" href="{{asset('css/owl.carousel.min.css')}}">
    <link rel="stylesheet" href="{{asset('css/owl.theme.default.min.css')}}">
    <link rel="stylesheet" href="//use.fontawesome.com/releases/v5.6.3/css/all.css">
    <link rel="stylesheet" href="{{ asset('css/styles.css') }}">

    <link rel="apple-touch-icon" sizes="180x180" href="{{ home_url() }}favicon/apple-touch-icon.png">
    <link rel="icon" type="image/png" sizes="32x32" href="{{ home_url() }}favicon/favicon-32x32.png">
    <link rel="icon" type="image/png" sizes="16x16" href="{{ home_url() }}favicon/favicon-16x16.png">
    <link rel="manifest" href="{{ home_url() }}favicon/site.webmanifest">
    <link rel="mask-icon" href="{{ home_url() }}favicon/safari-pinned-tab.svg" color="#5bbad5">

    <meta name="msapplication-TileColor" content="#da532c">
    <meta name="theme-color" content="#ffffff">
    @yield('head')
</head>
<body>
    <header id="header">
        <nav class="navbar navbar-expand-lg navbar-dark bg-theme">
            <div class="container">
                <a class="navbar-brand font-weight-bold" href="{{ build_permalink() }}">
                    {{ config('site_name') }}
                </a>
                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarsExample04" aria-controls="navbarsExample04" aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>

                <div class="collapse navbar-collapse" id="navbarsExample04">
                    <ul class="navbar-nav ml-auto">
                        <li class="nav-item dropdown">
                            <a class="nav-link dropdown-toggle" href="#" id="dropdown04" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">Movies</a>
                            <div class="dropdown-menu dropdown-menu-right" aria-labelledby="dropdown04">
                                <a class="dropdown-item" href="{{ build_permalink('movie-now-playing') }}">Now Playing</a>
                                <a class="dropdown-item" href="{{ build_permalink('movie-popular') }}">Popular</a>
                                <a class="dropdown-item" href="{{ build_permalink('movie-top-rated') }}">Top Rated</a>
                                <a class="dropdown-item" href="{{ build_permalink('movie-upcoming') }}">Upcoming</a>
                            </div>
                        </li>
                        <li class="nav-item dropdown">
                            <a class="nav-link dropdown-toggle" href="#" id="dropdown04" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">TV Series</a>
                            <div class="dropdown-menu dropdown-menu-right" aria-labelledby="dropdown04">
                                <a class="dropdown-item" href="{{ build_permalink('tv-airing-to-day') }}">Airing to Day</a>
                                <a class="dropdown-item" href="{{ build_permalink('tv-popular') }}">Popular</a>
                                <a class="dropdown-item" href="{{ build_permalink('tv-on-the-air') }}">On The Air</a>
                                <a class="dropdown-item" href="{{ build_permalink('tv-top-rated') }}">Top Rated</a>
                            </div>
                        </li>
                        <li class="nav-item dropdown">
                            <a href="#" class="nav-link dropdown-toggle" data-toggle="dropdown">Genres<span class="caret"></span></a>
                            <div class="dropdown-menu genres dropdown-menu-right">
                                <a class="dropdown-item" href="{{ build_permalink('genre/action/28') }}">Action</a>
                                <a class="dropdown-item" href="{{ build_permalink('genre/adventure/12') }}">Adventure</a>
                                <a class="dropdown-item" href="{{ build_permalink('genre/animation/16') }}">Animation</a>
                                <a class="dropdown-item" href="{{ build_permalink('genre/comedy/35') }}">Comedy</a>
                                <a class="dropdown-item" href="{{ build_permalink('genre/crime/80') }}">Crime</a>
                                <a class="dropdown-item" href="{{ build_permalink('genre/documentary/99') }}">Documentary</a>
                                <a class="dropdown-item" href="{{ build_permalink('genre/drama/18') }}">Drama</a>
                                <a class="dropdown-item" href="{{ build_permalink('genre/family/10751') }}">Family</a>
                                <a class="dropdown-item" href="{{ build_permalink('genre/fantasy/14') }}">Fantasy</a>
                                <a class="dropdown-item" href="{{ build_permalink('genre/foreign/10769') }}">Foreign</a>
                                <a class="dropdown-item" href="{{ build_permalink('genre/history/36') }}">History</a>
                                <a class="dropdown-item" href="{{ build_permalink('genre/horror/27') }}">Horror</a>
                                <a class="dropdown-item" href="{{ build_permalink('genre/music/10402') }}">Music</a>
                                <a class="dropdown-item" href="{{ build_permalink('genre/mystery/9648') }}">Mystery</a>
                                <a class="dropdown-item" href="{{ build_permalink('genre/romance/10749') }}">Romance</a>
                                <a class="dropdown-item" href="{{ build_permalink('genre/science-fiction/878') }}">Science Fiction</a>
                                <a class="dropdown-item" href="{{ build_permalink('genre/tv-movie/10770') }}">TV Movie</a>
                                <a class="dropdown-item" href="{{ build_permalink('genre/thriller/53') }}">Thriller</a>
                                <a class="dropdown-item" href="{{ build_permalink('genre/war/10752') }}">War</a>
                                <a class="dropdown-item" href="{{ build_permalink('genre/western/37') }}">Western</a>
                            </div>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="{{ build_permalink() . 'people'}}">People</a>
                        </li>
                    </ul>
                    <form method="GET" action="/" class="form-inline my-2 my-md-0 ml-md-3 ml-0 search">
                        <div id="searchform" class="w-100">
                            <input type="text" class="form-controls" placeholder="Search..." name="s" id="s" value="" autocomplete="off"> <button class="search-button" type="submit"><i class="fas fa-search"></i></button>
                        </div>
                    </form>
                </div>
            </div>
        </nav>
    </header>

    <main id="main" class="container bg-white py-5">
        @yield('content')
    </main>

    <footer id="footer" class="container bg-white py-3 border-top d-flex flex-wrap justify-content-between">
        <div class="copy">© {{ date('Y') }} by <strong>{{config('site_name')}}</strong>. All Rights Reserved.</div>
        <div class="list-inline">
            <a class="list-inline-item" href="{{ build_permalink('pages/privacy-policy') }}">Privacy Policy</a>
            <a class="list-inline-item" href="{{ build_permalink('pages/dmca') }}">DMCA</a>
            <a class="list-inline-item" href="{{ build_permalink('pages/contact') }}">Contact</a>
        </div>
    </footer>

    <script src="{{ asset('js/jquery-2.2.0.min.js') }}"></script>
    <script src="{{ asset('js/popper.min.js') }}"></script>
    <script src="{{ asset('js/bootstrap.min.js') }}"></script>
    <script src="{{ asset('js/owl.carousel.min.js') }}"></script>
    <script src="{{ asset('js/scripts.js') }}"></script>
    @include('footer')
</body>
</html>