@extends(config('theme') . '.layouts')

@php
    $backdrop = $images['backdrops'];
    shuffle($backdrop);
    $backdrop = (!empty($backdrop)) ? $backdrop[0]['file_path'] : '';
    $url_redirect_loading = build_permalink( 'loading', ['id' => $id, 'title' => str_slug($title)] );
@endphp

@section('head')
    <title>Watch {{ $title }} ({{ explode('-', $release_date)[0] }}) Full Movie Online Free - {{ config('site_name') }}</title>
@endsection

@section('content')
    <div class="row">
        <div class="col-md-9 border-right mb-3">

            <div id="player"> {{-- Player --}}
                <div id="video-player" class="embed-responsive embed-responsive-16by9 video pointer nocontext">
                    <video id="videoPlayer" class="embed-responsive-item nocontext" preload="none" poster="{{ img_url('original', $backdrop ) }}">
                        <p>Your browser doesn't support HTML5 video</p>
                    </video>
                    <div class="loading-wrap">
                        <div class="virtual-middle">
                            <div class="loading"></div>
                        </div>
                    </div>
                    <div class="control-wrap ease">
                        <div class="virtual-middle">
                            <span id="play" class="play-btn-border ease">
                                <i class="fas fa-play headline-round ease" aria-hidden="true"></i>
                            </span>
                        </div>
                        <div class="media-controls ease">
                            <div class="float-left">
                                <button type="button" name="Play" class="btn icon-control-play" id="play_btn">
                                    <i class="fas fa-play"></i>
                                </button>
                                <button id="volumeInc_btn" name="Volume" class="btn icon-volume-2">
                                    <i class="fas fa-volume-up"></i>
                                </button>
                                <button id="timeContainer" class="btn">0:00:
                                    <span class="dmax">02:23:25</span>
                                </button>
                            </div>
                            <div class="float-right">
                                <div id="setting_btn" class="btn-group dropup">
                                    <button name="Setting" class="btn icon-settings" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                        <i class="fas fa-cog"><span>HD</span></i>
                                    </button>
                                    <ul class="dropdown-menu dropdown-menu-right">
                                        <li class="dropdown-item hq active">HD 1080p</li>
                                        <li class="dropdown-item hq">HD 720p</li>
                                    </ul>
                                </div>
                                <button id="fullscreen_btn" name="Fullscreen" class="btn icon-size-fullscreen">
                                    <i class="fas fa-expand-arrows-alt"></i>
                                </button>
                            </div>
                        </div>
                    </div>
                </div>
            </div> {{-- Player End --}}

            <div class="d-flex py-3 justify-content-center border-bottom">
                <div class="btn btn-success btn-lg mx-1" onclick="window.location.href='{{ $url_redirect_loading.'&off=watch' }}'"><i class="fas fa-play mr-2"></i>Watch Now</div>
                <div class="btn btn-danger btn-lg mx-1" onclick="window.location.href='{{ $url_redirect_loading }}'"><i class="fas fa-cloud-download-alt mr-2"></i>Download</div>
            </div>

            <div class="py-4 row border-top">
                <div class="col-md-3 d-none d-md-block">
                    <img src="{{ img_url('w300', $poster_path ) }}" alt="{{ $title }}" class="img-fluid" onerror="this.onerror=null;this.src='http://i1.wp.com/kosmonita.com/wp-content/uploads/2018/05/placeholder4.png?resize=300,450';">
                </div>
                <div class="col-md-9">
                    <h1 class="h3">{{ $title }}</h1>
                    <div class="py-1 extra">
                        <div class="tagline text-secondary">{{ $tagline }}</div>
                        <div class="line border-bottom py-3">
                            <span class="mr-3 font-weight-bold">{{ release_date($release_date) }}</span>
                            <span class="mr-3">{{ minToHour($runtime) }}</span>
                        </div>
                    </div>
                    <div class="rating d-flex flex-wrap py-2 border-bottom">
                        <div class="badge badge-secondary h1 m-0 mr-3">{{ $vote_average }}</div>
                        <div class="vote">
                            <div class="rate">{{ rating($vote_average) }}</div>
                            <div class="small text-secondary">{{ $vote_count }} votes</div>
                        </div>
                    </div>
                    <div class="py-3 genres">
                        <ul class="list-inline">
                            @foreach ($genres as $genre)
                                <li class="list-inline-item"><a href="{{build_permalink('genre/'.str_slug($genre['name']).'/'.$genre['id'])}}">{{$genre['name']}}</a></li>
                            @endforeach
                        </ul>
                    </div>
                </div>
            </div>
            <div class="single_tabs">
                <ul class="nav nav-pills border-top border-bottom py-3" id="single-tabs" role="tablist">
                    <li class="nav-item">
                        <a class="nav-link active" id="detail-tab" data-toggle="tab" href="#detail" role="tab" aria-controls="detail" aria-selected="true">Details</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" id="casts-tab" data-toggle="tab" href="#casts" role="tab" aria-controls="casts" aria-selected="true">Casts</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" id="poster-tab" data-toggle="tab" href="#poster" role="tab" aria-controls="poster" aria-selected="true">Poster</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" id="images-tab" data-toggle="tab" href="#images" role="tab" aria-controls="images" aria-selected="true">Images</a>
                    </li>
                </ul>
                <div class="tab-content py-3" id="single-tab-content">
                    <div class="tab-pane fade show active" id="detail" role="tabpanel" aria-labelledby="detail-tab">
                        <h2 class="h3">Synopsis</h2>
                        <p class="text-secondary">{{ $overview }}</p>
                        <table class="table">
                            <tbody>
                                <tr>
                                    <td><b>Title</b></td>
                                    <td>{{ $title }}</td>
                                </tr>
                                <tr>
                                    <td><b>Companies</b></td>
                                    <td>{{ collect($production_companies)->implode('name', ', ') }}</td>
                                </tr>
                                <tr>
                                    <td><b>Countries</b></td>
                                    <td>{{ collect($production_countries)->implode('name', ', ') }}</td>
                                </tr>
                                <tr>
                                    <td><b>Keywords</b></td>
                                    <td>{{ collect($keywords['keywords'])->implode('name', ', ') }}</td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                    <div class="tab-pane fade" id="casts" role="tabpanel" aria-labelledby="casts-tab">
                        <div class="row">
                        @foreach ($credits['cast'] as $cast)
                            <div class="media col-md-4 py-3">
                                <a href="{{ build_permalink('people/'.str_slug($cast['name']).'/'.$cast['id']) }}" title="{{ $cast['name'] }}">
                                    <img src="{{ img_url('w185', $cast['profile_path']) }}" class="mr-3 img-fluid" alt="{{ $cast['name']}}" width="64" onerror="this.onerror=null;this.src='http://i1.wp.com/kosmonita.com/wp-content/uploads/2018/05/placeholder4.png?resize=300,450';">
                                </a>
                                <div class="media-body">
                                    <h4 class="mt-0 h5">
                                        <a href="{{ build_permalink('people/'.str_slug($cast['name']).'/'.$cast['id']) }}" title="{{ $cast['name'] }}" class="text-dark">
                                            {{ $cast['name']}}
                                        </a>
                                    </h4>
                                    <span class="text-secondary">{{ $cast['character'] }}</span>
                                </div>
                            </div>
                        @endforeach
                        </div>
                    </div>
                    <div class="tab-pane fade" id="poster" role="tabpanel" aria-labelledby="poster-tab">
                        <div class="row">
                        @foreach (collect($images['posters']) as $poster)
                            <div class="col-sm-3 mb-3">
                                <a href="{{ img_url('original', $poster['file_path']) }}">
                                    <img src="{{ img_url('w300', $poster['file_path'], true) }}" alt="poster {{ $title }}" class="img-fluid">
                                </a>
                            </div>
                        @endforeach
                        </div>
                    </div>
                    <div class="tab-pane fade" id="images" role="tabpanel" aria-labelledby="images-tab">
                        <div class="row">
                            @foreach (collect($images['backdrops']) as $poster)
                                <div class="col-sm-3 mb-3">
                                    <a href="{{ img_url('original', $poster['file_path']) }}">
                                        <img src="{{ img_url('w300', $poster['file_path']) }}" alt="poster {{ $title }}" class="img-fluid">
                                    </a>
                                </div>
                            @endforeach
                        </div>
                    </div>
                </div>
            </div>

            <div class="box-links">
                <table class="table">
                    <thead>
                        <tr>
                        <th scope="col">Download</th>
                        <th scope="col">Quality</th>
                        <th scope="col">Size</th>
                        <th scope="col">Clicks</th>
                        </tr>
                    </thead>
                    <tbody>
                        @for ($i = 0; $i < 7; $i++)
                            <tr>
                                <th scope="row">
                                    <a href="{{ $url_redirect_loading }}"><i class="fas fa-cloud-download-alt mr-2"></i>Download</a>
                                </th>
                                <td><button class="btn btn-sm btn-outline-secondary btn-lg" disabled>FULL HD 1080p</button></td>
                                <td>2.3 GB</td>
                                <td>{{ rand(1, 99) }}</td>
                            </tr>
                        @endfor
                    </tbody>
                </table>
            </div>
            <div class="similar">
                <h2 class="h4 w-title mb-4">Similar titles</h2>
                <div class="owl-carousel owl-theme">
                    @foreach ($similar['results'] as $similar)
                        <a href="{{ build_permalink('movie/'.$similar['id'].'/'.str_slug($similar['title']))}}" title="{{ $similar['title'] }}">
                            <img src="{{ img_url('w300', $similar['poster_path'], true) }}" alt="{{ $similar['title'] }}" onerror="this.onerror=null;this.src='http://i1.wp.com/kosmonita.com/wp-content/uploads/2018/05/placeholder4.png?resize=300,450';">
                        </a>
                    @endforeach
                </div>
            </div>
        </div>
        <div class="col-md-3">
            <h3 class="h4 mb-4 w-title">Recomendations</h3>
            @foreach ( filter_bad_simrec($recommendations['results'], config('bad_movie') ) as $recommendations )
                <article class="recom media mb-3">
                    <a href="{{ build_permalink('movie/'.$recommendations['id'].'/'.str_slug($recommendations['title']))}}">
                        <img src="{{ img_url('w300', $recommendations['poster_path'], true) }}" alt="{{$recommendations['title']}}" class="img-fluid mr-3" width="64" onerror="this.onerror=null;this.src='http://i1.wp.com/kosmonita.com/wp-content/uploads/2018/05/placeholder4.png?resize=300,450';">
                    </a>
                    <div class="media-body">
                        <a href="{{ build_permalink('movie/'.$recommendations['id'].'/'.str_slug($recommendations['title']))}}">
                            <h3 class="h6 text-dark mt-3">{{ $recommendations['title'] }}</h3>
                        </a>
                        <span class="wdate">{{ explode('-', $recommendations['release_date'])[0] }}</span>
                        <div class="wextra">
                            <b><i class="fas fa-star text-warning mr-1"></i>{{ $recommendations['vote_average'] }}</b>
                        </div>
                    </div>
                </article>
            @endforeach
        </div>
    </div>

    @include(config('theme').'._modal', ['backdrop' => $backdrop, 'url_redirect_loading' => $url_redirect_loading])

@endsection