@extends(config('theme') . '.layouts')

@php
    $active = isset($season) ? '' : 'active';
    $active_show = isset($season) ? '' : 'show active';

    $backdrop = isset($episode) ? $episode['images']['stills'] : $tv['images']['backdrops'];
    shuffle($backdrop);
    $backdrop = (!empty($backdrop)) ? $backdrop[0]['file_path'] : '';
    if (isset($episode)) {
        $url_redirect_loading = build_permalink('loading', [
            'id'=>$tv['id'],
            'title'=>$tv['name'],
            'season'=>$season['season_number'],
            'episode'=>$episode['episode_number']
            ]);
    }elseif(isset($season)){
        $url_redirect_loading = build_permalink('loading', [
            'id'=>$tv['id'],
            'title'=>$tv['name'],
            'season'=>$season['season_number']
            ]);
    }else{
        $url_redirect_loading = build_permalink('loading', ['id'=>$tv['id'], 'title'=>$tv['name']]);
    }
@endphp

@section('head')
    @if(isset($episode))
        <title>Watch {{ $tv['name'] }} - {{ $season['name'] }} Episode {{ $episode['episode_number'] }} : {{ $episode['name'] }} HD Free TV Show - {{ config('site_name') }}</title>
    @elseif(isset($season))
        <title>Watch {{ $tv['name'] }} - {{ $season['name'] }} HD Free TV Show - {{ config('site_name') }}</title>
    @else
        <title>Watch {{ $tv['name'] }} HD Free TV Show - {{ config('site_name') }}</title>
    @endif
@endsection

@section('content')
    <div class="row">
        <div class="col-md-9 border-right mb-3">
            <div id="player"> {{-- Player --}}
                <div id="video-player" class="embed-responsive embed-responsive-16by9 video pointer nocontext">
                    <video id="videoPlayer" class="embed-responsive-item nocontext" preload="none" poster="{{ img_url('original', $backdrop ) }}">
                        <p>Your browser doesn't support HTML5 video</p>
                    </video>
                    <div class="loading-wrap">
                        <div class="virtual-middle">
                            <div class="loading"></div>
                        </div>
                    </div>
                    <div class="control-wrap ease">
                        <div class="virtual-middle">
                            <span id="play" class="play-btn-border ease">
                                <i class="fas fa-play headline-round ease" aria-hidden="true"></i>
                            </span>
                        </div>
                        <div class="media-controls ease">
                            <div class="float-left">
                                <button type="button" name="Play" class="btn icon-control-play" id="play_btn">
                                    <i class="fas fa-play"></i>
                                </button>
                                <button id="volumeInc_btn" name="Volume" class="btn icon-volume-2">
                                    <i class="fas fa-volume-up"></i>
                                </button>
                                <button id="timeContainer" class="btn">0:00:
                                    <span class="dmax">02:23:25</span>
                                </button>
                            </div>
                            <div class="float-right">
                                <div id="setting_btn" class="btn-group dropup">
                                    <button name="Setting" class="btn icon-settings" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                        <i class="fas fa-cog"><span>HD</span></i>
                                    </button>
                                    <ul class="dropdown-menu dropdown-menu-right">
                                        <li class="dropdown-item hq active">HD 1080p</li>
                                        <li class="dropdown-item hq">HD 720p</li>
                                    </ul>
                                </div>
                                <button id="fullscreen_btn" name="Fullscreen" class="btn icon-size-fullscreen">
                                    <i class="fas fa-expand-arrows-alt"></i>
                                </button>
                            </div>
                        </div>
                    </div>
                </div>
            </div> {{-- Player End --}}

            <div class="d-flex py-3 justify-content-center border-bottom">
                <div class="btn btn-success btn-lg mx-1" onclick="window.location.href='{{ $url_redirect_loading }}'"><i class="fas fa-play mr-2"></i>Watch Now</div>
                <div class="btn btn-danger btn-lg mx-1" onclick="window.location.href='{{ $url_redirect_loading }}'"><i class="fas fa-cloud-download-alt mr-2"></i>Download</div>
            </div>

            @isset($episode)
                <div class="info py-4">
                    <h1 class="mb-3 h2">{{ $tv['name'].': '.$season['season_number'].'x'.$episode['episode_number'] }}</h1>
                    <h3 class="h4">{{ $episode['name'] }}</h3>
                    <p class="text-secondary">{{ $season['overview'] }}</p>

                    <div id="episode-images" class="owl-carousel owl-theme">
                        @foreach ($episode['images']['stills'] as $stills)
                            <a href="{{ img_url('original', $stills['file_path'] ) }}" title="{{ $episode['name'] }}">
                                <img src="{{ img_url('w300', $stills['file_path']) }}" alt="{{ $episode['name'] }}" onerror="this.onerror=null;this.src='{{ asset('images/no-cover.png') }}';">
                            </a>
                        @endforeach
                    </div>
                </div>
            @endisset

            @if (!isset($episode))
                <div class="py-4 row">
                    <div class="col-md-3 d-none d-md-block">
                        @isset($season)
                            <img src="{{ img_url('w300', $season['poster_path'] ) }}" alt="{{ $season['name'] }}" class="img-fluid" onerror="this.onerror=null;this.src='{{ asset('images/no-cover.png') }}';">
                        @else
                            <img src="{{ img_url('w300', $tv['poster_path'] ) }}" alt="{{ $tv['name'] }}" class="img-fluid" onerror="this.onerror=null;this.src='{{ asset('images/no-cover.png') }}';">
                        @endisset
                    </div>
                    <div class="col-md-9">
                        @isset($season)
                            <h1 class="h3">{{ $tv['name'] }} {{ $season['name'] }}</h1>
                        @else
                            <h1 class="h3">{{ $tv['name'] }}</h1>
                        @endisset
                        <div class="py-1 extra">
                            <div class="line border-bottom py-3">
                                @isset($season)
                                    <span class="mr-3 font-weight-bold">{{ release_date($season['air_date']) }}</span>
                                @else
                                    <span class="mr-3 font-weight-bold">{{ release_date($tv['first_air_date']) }}</span>
                                @endisset
                                <span class="mr-3">{{ minToHour($tv['episode_run_time'][0]) }}</span>
                                <span class="mr-3">{{ $tv['origin_country'][0] }}</span>
                            </div>
                        </div>
                        <div class="rating d-flex flex-wrap py-2 border-bottom">
                            <div class="badge badge-secondary h1 m-0 mr-3">{{ $tv['vote_average'] }}</div>
                            <div class="vote">
                                <div class="rate">{{ rating($tv['vote_average']) }}</div>
                                <div class="small text-secondary">{{ $tv['vote_count'] }} votes</div>
                            </div>
                        </div>
                        <div class="py-3 genres">
                            <ul class="list-inline">
                                @foreach ($tv['genres'] as $genre)
                                    <li class="list-inline-item">{{$genre['name']}}</li>
                                @endforeach
                            </ul>
                        </div>
                    </div>
                </div>
            @endif

            <div class="single_tabs">
                <ul class="nav nav-pills border-top border-bottom py-3" id="single-tabs" role="tablist">
                    <li class="nav-item">
                        <a class="nav-link {{$active}}" id="season-tab" data-toggle="tab" href="#season" role="tab" aria-controls="season" aria-selected="true">Seasons</a>
                    </li>

                    @isset($season)
                    <li class="nav-item">
                        <a class="nav-link active" id="episode-tab" data-toggle="tab" href="#episode" role="tab" aria-controls="episode" aria-selected="true">Episodes</a>
                    </li>
                    @endisset

                    <li class="nav-item">
                        <a class="nav-link" id="detail-tab" data-toggle="tab" href="#detail" role="tab" aria-controls="detail" aria-selected="true">Details</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" id="casts-tab" data-toggle="tab" href="#casts" role="tab" aria-controls="casts" aria-selected="true">Casts</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" id="poster-tab" data-toggle="tab" href="#poster" role="tab" aria-controls="poster" aria-selected="true">Poster</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" id="images-tab" data-toggle="tab" href="#images" role="tab" aria-controls="images" aria-selected="true">Images</a>
                    </li>
                </ul>
                <div class="tab-content py-3" id="single-tab-content">
                    <div class="tab-pane fade {{$active_show}}" id="season" role="tabpanel" aria-labelledby="season-tab">
                        <h3 class="w-title h5 mb-3">Seasons and episodes</h3>
                        @foreach ($tv['seasons'] as $season_item)
                            <article class="recom media mb-3">
                                <a href="{{build_permalink('tv/'.$tv['id'].'-'.$season_item['season_number'].'/'.str_slug($tv['name']))}}">
                                    <img src="{{ img_url('w300', $season_item['poster_path'], true) }}" alt="{{$season_item['poster_path']}}" class="img-fluid mr-3" width="64" onerror="this.onerror=null;this.src='http://i1.wp.com/kosmonita.com/wp-content/uploads/2018/05/placeholder4.png?resize=300,450';">
                                </a>
                                <div class="media-body">
                                    <a href="{{build_permalink('tv/'.$tv['id'].'-'.$season_item['season_number'].'/'.str_slug($tv['name']))}}">
                                        <h3 class="h6 text-dark mt-3">Season {{$season_item['season_number']}} : {{$season_item['name']}}</h3>
                                    </a>
                                    <span class="text-secondary">{{ release_date($season_item['air_date']) }}</span>
                                </div>
                            </article>
                        @endforeach
                    </div>
                    @isset($season)
                    <div class="tab-pane fade show active" id="episode" role="tabpanel" aria-labelledby="episode-tab">
                        @foreach ($season['episodes'] as $episode_item)
                            <article class="recom media mb-3">
                                <a href="{{ build_permalink('tv/' . $tv['id'] .'-'.$episode_item['season_number']. '-' . $episode_item['episode_number']. '/' . str_slug($tv['name'])) }}">
                                    <img src="{{ img_url('w300', $episode_item['still_path']) }}" alt="{{$episode_item['name']}}" class="img-fluid mr-3" width="120" onerror="this.onerror=null;this.src='http://i1.wp.com/kosmonita.com/wp-content/uploads/2018/05/placeholder4.png?resize=300,169';">
                                </a>
                                <div class="media-body">
                                    <a href="{{ build_permalink('tv/' . $tv['id'] .'-'.$episode_item['season_number']. '-' . $episode_item['episode_number']. '/' . str_slug($tv['name'])) }}">
                                        <h3 class="h6 text-dark mt-3">{{$episode_item['season_number']}} - {{$episode_item['episode_number']}} : {{$episode_item['name']}}</h3>
                                    </a>
                                    <span class="text-secondary">{{ release_date($episode_item['air_date']) }}</span>
                                </div>
                            </article>
                        @endforeach
                    </div>
                    @endisset
                    <div class="tab-pane fade" id="detail" role="tabpanel" aria-labelledby="detail-tab">
                        <h2 class="h3">Synopsis</h2>
                        <p class="text-secondary">{{ $tv['overview'] }}</p>
                        <table class="table">
                            <tbody>
                                <tr>
                                    <td><b>Title</b></td>
                                    <td>{{ $tv['name'] }}</td>
                                </tr>
                                <tr>
                                    <td><b>First Air Date</b></td>
                                    <td>{{ release_date($tv['first_air_date']) }}</td>
                                </tr>
                                <tr>
                                    <td><b>Last Air Date</b></td>
                                    <td>{{ release_date($tv['last_air_date']) }}</td>
                                </tr>
                                <tr>
                                    <td><b>Episodes</b></td>
                                    <td>{{ $tv['number_of_episodes'] }}</td>
                                </tr>
                                <tr>
                                    <td><b>Seasons</b></td>
                                    <td>{{ $tv['number_of_seasons'] }}</td>
                                </tr>
                                <tr>
                                    <td><b>Companies</b></td>
                                    <td>{{ collect($tv['production_companies'])->implode('name', ', ') }}</td>
                                </tr>
                                <tr>
                                    <td><b>Keywords</b></td>
                                    <td>{{ collect($tv['keywords']['results'])->implode('name', ', ') }}</td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                    <div class="tab-pane fade" id="casts" role="tabpanel" aria-labelledby="casts-tab">
                        <div class="row">
                        @foreach ($tv['credits']['cast'] as $cast)
                            <div class="media col-md-4 py-3">
                                <a href="{{ build_permalink('people/'.str_slug($cast['name']).'/'.$cast['id']) }}" title="{{ $cast['name'] }}">
                                    <img src="{{ img_url('w185', $cast['profile_path']) }}" class="mr-3 img-fluid" alt="{{ $cast['name']}}" width="64" onerror="this.onerror=null;this.src='{{ asset('images/no-cover.png') }}';">
                                </a>
                                <div class="media-body">
                                    <h4 class="mt-0 h5">
                                        <a href="{{ build_permalink('people/'.str_slug($cast['name']).'/'.$cast['id']) }}" title="{{ $cast['name'] }}" class="text-dark">
                                            {{ $cast['name']}}
                                        </a>
                                    </h4>
                                    <span class="text-secondary">{{ $cast['character'] }}</span>
                                </div>
                            </div>
                        @endforeach
                        </div>
                    </div>
                    <div class="tab-pane fade" id="poster" role="tabpanel" aria-labelledby="poster-tab">
                        <div class="row">
                        @foreach (collect($tv['images']['posters']) as $poster)
                            <div class="col-sm-3 mb-3">
                                <a href="{{ img_url('original', $poster['file_path']) }}">
                                    <img src="{{ img_url('w300', $poster['file_path'], true) }}" alt="poster {{ $tv['name'] }}" class="img-fluid">
                                </a>
                            </div>
                        @endforeach
                        </div>
                    </div>
                    <div class="tab-pane fade" id="images" role="tabpanel" aria-labelledby="images-tab">
                        <div class="row">
                            @foreach (collect($tv['images']['backdrops']) as $poster)
                                <div class="col-sm-3 mb-3">
                                    <a href="{{ img_url('original', $poster['file_path']) }}">
                                        <img src="{{ img_url('w300', $poster['file_path']) }}" alt="poster {{ $tv['name'] }}" class="img-fluid">
                                    </a>
                                </div>
                            @endforeach
                        </div>
                    </div>
                </div>
            </div>

            <div class="box-links">
                <table class="table">
                    <thead>
                        <tr>
                        <th scope="col">Download</th>
                        <th scope="col">Quality</th>
                        <th scope="col">Size</th>
                        <th scope="col">Clicks</th>
                        </tr>
                    </thead>
                    <tbody>
                        @for ($i = 0; $i < 7; $i++)
                            <tr>
                                <th scope="row">
                                    <a href="{{ $url_redirect_loading }}"><i class="fas fa-cloud-download-alt mr-2"></i>Download</a>
                                </th>
                                <td><button class="btn btn-sm btn-outline-secondary btn-lg" disabled>HD 1080p</button></td>
                                <td>2.3 GB</td>
                                <td>{{ rand(1, 99) }}</td>
                            </tr>
                        @endfor
                    </tbody>
                </table>
            </div>
            <div class="similar">
                <h4 class="h4 w-title mb-4">Similar titles</h4>
                <div id="tv-similars" class="owl-carousel owl-theme">
                    @foreach ( filter_bad_simrec($tv['similar']['results'], config('bad_tv') ) as $similar)
                        <a href="{{ build_permalink('tv/'.$similar['id'].'/'.str_slug($similar['name']))}}" title="{{ $similar['name'] }}">
                            <img src="{{ img_url('w300', $similar['poster_path'], true) }}" alt="{{ $similar['name'] }}" onerror="this.onerror=null;this.src='{{ asset('images/no-cover.png') }}';">
                        </a>
                    @endforeach
                </div>
            </div>
        </div>
        <div class="col-md-3">
            <h3 class="h4 mb-4 w-title">Recomendations</h3>
            @foreach (filter_bad_simrec($tv['recommendations']['results'], config('bad_tv')) as $recommendations)
                <article class="recom media mb-3">
                    <a href="{{ build_permalink('tv/'.$recommendations['id'].'/'.str_slug($recommendations['name']))}}">
                        <img src="{{ img_url('w300', $recommendations['poster_path'], true) }}" alt="{{$recommendations['name']}}" class="img-fluid mr-3" width="64" onerror="this.onerror=null;this.src='{{ asset('images/no-cover.png') }}';">
                    </a>
                    <div class="media-body">
                        <a href="{{ build_permalink('tv/'.$recommendations['id'].'/'.str_slug($recommendations['name']))}}">
                            <h3 class="h6 text-dark mt-3">{{ $recommendations['name'] }}</h3>
                        </a>
                        <span class="wdate">{{ explode('-', $recommendations['first_air_date'])[0] }}</span>
                        <div class="wextra">
                            <b><i class="fas fa-star text-warning mr-1"></i>{{ $recommendations['vote_average'] }}</b>
                        </div>
                    </div>
                </article>
            @endforeach
        </div>
    </div>
    @include(config('theme').'._modal', ['backdrop' => $backdrop, 'url_redirect_loading' => $url_redirect_loading])
@endsection